Page MenuHomePhabricator

[analyzer] Simplify the process of producing notes for stores
ClosedPublic

Authored by vsavchenko on Jun 10 2021, 10:19 AM.

Diff Detail

Event Timeline

vsavchenko created this revision.Jun 10 2021, 10:19 AM
vsavchenko requested review of this revision.Jun 10 2021, 10:19 AM
Herald added a project: Restricted Project. · View Herald TranscriptJun 10 2021, 10:19 AM
Herald added a subscriber: cfe-commits. · View Herald Transcript
NoQ accepted this revision.Jun 14 2021, 9:08 PM

Looks great, thanks!

clang/lib/StaticAnalyzer/Core/BugReporterVisitors.cpp
1299

This isn't new but oof this note is terrible.

I don't think we have any tests where it's actually emitted. I suspect that this shouldn't happen in practice unless core checkers are disabled.

Now that I think of it, our actual warning for undef passed into function says "function call argument is an uninitialized value" which is almost as bad as this.

Just sayin' :)

This revision is now accepted and ready to land.Jun 14 2021, 9:08 PM
This revision was landed with ongoing or failed builds.Jun 15 2021, 1:38 AM
This revision was automatically updated to reflect the committed changes.